set(SEMTECH_L2_SRC_DIR ${PROJECT_SOURCE_DIR}/libs/loramac-node/src)
set(VTAL_SRC_DIR ${PROJECT_SOURCE_DIR}/libs/vTAL/vTAL)

set(L2_INC_DIR
  ${CMAKE_CURRENT_BINARY_DIR}/l2/${L2_STACK}/Commissioning
  ${CMAKE_CURRENT_BINARY_DIR}/l2/${L2_STACK}/se
  ${CMAKE_CURRENT_BINARY_DIR}/l2/${L2_STACK}/mac
  ${CMAKE_CURRENT_BINARY_DIR}/l2/${L2_STACK}/mac/region
  ${CMAKE_CURRENT_BINARY_DIR}/l2/${L2_STACK}/packages
  ${PROJECT_SOURCE_DIR}/l2/common/inc
  ${PROJECT_SOURCE_DIR}/platforms/${PLATFORM}/${L2_STACK}/inc
  ${SEMTECH_L2_SRC_DIR}/boards
  ${SEMTECH_L2_SRC_DIR}/boards/${SEMTECH_PLATFORM_NAME}
  ${SEMTECH_L2_SRC_DIR}/system
  ${SEMTECH_L2_SRC_DIR}/radio
  ${VTAL_SRC_DIR}
  ${VTAL_SRC_DIR}/vTAL-src)

set(MAX_MTU_SIZE 256)